package com.lssst.subject;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

/**
 * 刷题微服务启动类
 *
 * @author: lst
 * @date: 2024/3/1
 */
@SpringBootApplication
@ComponentScan("com.lssst")
@MapperScan("com.lssst.**.mapper")
@EnableFeignClients(basePackages = "com.lssst")
public class SubjectApplication {

    public static void main(String[] args) {
        SpringApplication.run(SubjectApplication.class);
    }

}
